aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/vte/vte_0.28.2.bb
Commit message (Collapse)AuthorAgeFilesLines
* vte: Pass _GNU_SOURCE via CFLAGSKhem Raj2015-04-131-0/+2
| | | | | | | | | It uses function extentions like ptsname_r() so we need to let build know about it Change-Id: I5a06d08c56529a6b2cf3adf264656ae03b95c1d4 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* vte: replace obsolete automake macros with working onesMarko Lindqvist2013-01-161-1/+3
| | | | | | | | Add obsolete_automake_macros.patch that replaces automake macros no longer supported by automake-1.13 with modern constructs. Signed-off-by: Marko Lindqvist <cazfi74@gmail.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* recipes: bump PR to rebuild after libffi5 -> libffi6Martin Jansa2012-09-181-1/+1
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* vte: cleanup thanks to new gtk-doc.bbclassRoss Burton2012-07-221-1/+1
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* PR bump for all recipes that DEPEND on ncursesScott Garman2012-03-141-1/+1
| | | | | | | | The packaging changes to ncurses could break package feeds, so bump the PR on everythong that DEPENDS on ncurses. Signed-off-by: Scott Garman <scott.a.garman@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* recipes: bump PR to rebuild .la files without libz.laMartin Jansa2012-02-211-1/+1
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* zlib: Upgrade 1.2.5 -> 1.2.6Khem Raj2012-02-101-1/+1
| | | | | | | | | | | | | | | | | | | | | | Dont use autotools, it really not so autoconf like. the configure script gets updated with every release of zlib and we overwrite that. Instead use the upstream provided configure copyright year was changed in zlib.h which caused change in LIC_FILE_CHECKSUM fix.inverted.LFS.logic.patch is already applied upstream so drop it Drop the configure.ac and Makefile.am scripts since we do not autoreconf anymore and do not inherit autotools anymore Bump PR for depending recipes so a rebuild it ensues so that they dont depend on .la anymore and add missing dependencies discovered during incremental build Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vte: upgrade from 0.24.3 to 0.28.2Nitin A Kamble2012-01-041-0/+8
Added a patch to add introspection.m4 to avoid the following configure error: | src/Makefile.am:168: HAVE_INTROSPECTION does not appear in AM_CONDITIONAL | autoreconf: automake failed with exit status: 1 | ERROR: autoreconf execution failed. NOTE: package vte-0.28.2-r0: task do_configure: Failed This upgrade avoids configure issues with automake version 1.11.2 seen on the earlier version of vte: | src/Makefile.am:155: `pkglibdir' is not a legitimate directory for `PROGRAMS' | src/Makefile.am:156: `pkglibdir' is not a legitimate directory for `SCRIPTS' | src/Makefile.am:178: variable `interpret_SOURCES' is defined but no program or | src/Makefile.am:178: library has `interpret' as canonical name (possible typo) | src/Makefile.am:229: variable `slowcat_SOURCES' is defined but no program or | src/Makefile.am:229: library has `slowcat' as canonical name (possible typo) | src/Makefile.am:203: variable `interpret_LDADD' is defined but no program or | src/Makefile.am:203: library has `interpret' as canonical name (possible typo) | autoreconf: automake failed with exit status: 1 | ERROR: autoreconf execution failed. NOTE: package vte-0.24.3-r0: task do_configure: Failed Did not upgrade to the latest version 0.31.0. 0.28.2 is the last version supporting gtk+ 2. Next versions have dropped support for gtk+ 2, and they require gtk+ 3. It would be more appropriate to move to next version after gtk+ 3 recipe is available. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>